1. Coupons
Saaslogic
  • Enum Reference
  • Authentication
  • Introduction
  • Products
    • Resources
      • Create Product Resource
    • Coupons
      • Publish Coupon
        PUT
      • Create Coupon
        POST
      • Update Coupon
        PUT
      • Get Coupon
        GET
      • Get Coupons
        POST
    • Create Product
      POST
    • Get Product
      GET
    • List all products
      GET
    • Update Product
      PUT
  • Authentication
    • saaslogic token
      • Get the saaslogic access token
    • login Url
      • Gives the login URL
    • logout Url
      • Gives the logout URL
  • Countries
    • Get list of countries
  • Plans
    • Create Plan
    • Update Plan
    • Publish Plan
    • Get Plan
    • Get Plans
    • List all plans for a product
  • Subscriptions
    • Get Subscriptions
    • Change subscription plan
    • Create a product subscription
    • Retrieve a subscription
    • Create Customer and Subscription
    • Subscription with details permissions, menus and features
    • The Saaslogic URL for creating subscription
  • Usage Reporting
    • Report the resource usages in subscription for invoicing
    • Retrieves the resource usages of a subscription in the current billing cycle
  • Customers
    • addresses
      • Create an address
      • List all addresses
      • Update an address
      • Retrieve an address
      • Delete an address
    • contacts
      • Create a contact
      • List all contacts
      • Update a contact
      • Retrieve a contact
      • Delete a contact
    • Create a customer
    • List all customers
    • Update a customer
    • Retrieve a customer
    • Delete a customer
  • Vendors
    • vendor addresses
      • Create a vendor address.
      • List all vendor addresses.
      • Update a vendor address.
      • Retrieve a vendor address..
      • Delete a vendor address.
    • vendor contacts
      • Create a vendor contact.
      • List all vendor contacts.
      • Update a vendor contact.
      • Retrieve a vendor contact.
      • Delete a vendor contact.
    • vendor bills
      • Create a vendor bill
      • Cancel a vendor bill.
    • vendor bills payout
      • Update payment details to vendor bills.
    • Create a vendor
    • Update a vendor.
    • Activate a vendor.
    • Deactivate a vendor
  • Invoices
    • subscriptions
      • Get the invoices
      • Get the invoices by subscription
    • payments
      • Mark the invoice payment status
    • Approve the invoice
    • Get Invoices
    • Get the invoice details .
    • Cancel the invoice
    • Send invoice as pdf with payment link.
    • Create an on-demand invoice
  • States
    • Get list of states
  • Addons
    • List all addons for a product
  • Submerchant
    • Create a submerchant
  • UOM
    • Create UOM
    • Update UOM
    • List UOMs
    • Get UOM
  • HostedPages
    • Enable Hosted Page
  • Schemas
    • Invoice
      • InvoiceSubscriptionDTO
      • InvoiceInfo
      • InvoiceDetail
      • InvoiceProduct
      • InvoiceLineItemDTO
      • InvoicePayment
      • InvoiceAttributeDTO
      • InvoiceRequestDTO
      • InvoiceRequestProduct
      • InvoiceRequestLineItem
      • InvoiceRequestLineItemTax
      • InvoiceRequestDiscount
      • InvoicePaginatedResponse
    • Vendor
      • Vendor
      • VendorContact
      • VendorAddress
      • VendorBill
    • Subscriptions
      • SubscritpionPaginatedResponse
      • Subscription
      • ResourceQuantities
      • ChangeSubscriptionRequest
    • Pagination
      • PageRequest
      • SortCriteria
      • FilterCriteria
      • Pagination
      • InvoiceList
      • PageResponse
    • Plan
      • Plan
      • PlanSearchRequest
    • UOM
      • UOM
    • Product
      • ProductResource
      • ProductFeature
      • Product
      • ProductAttribute
      • Coupon
      • CouponSearchRequest
    • AccessTokenResponse
    • ProductAPIKey
    • Country
    • Customer
    • CustomerAddress
    • PaymentInfo
    • CustomerWithSubscription
    • State
    • Addon
    • CustomerContact
    • Submerchant
    • HostedPageAccessRequest
  1. Coupons

Create Coupon

Developing
POST
/coupons
This endpoint is used to create a coupon with the provided configuration, validity, and applicability details.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🔴500ErrorResponse
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-sandbox.saaslogic.io/v1/coupons' \
--header 'Authorization: Bearer ' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
    "code": "SUMMER10",
    "name": "Summer 10% Off",
    "validFrom": "2025-01-01T00:00:00",
    "validTo": "2027-12-31T23:59:59",
    "currencyISOCode": "USD",
    "discounts": [
        {
            "billingFrequency": "MONTHLY",
            "discountPercentage": 10,
            "minSalesAmount": 0,
            "maximumDiscountAmount": 100,
            "maxUsagePerSubscription": 1
        }
    ],
    "products": [
        {
            "productId": "8fa89740-4bed-ae16-e6093ef89560",
            "planIds": [
                "ac533c3c-431f-a7ce-1497738812d6",
                "89ecc84c-4333-9263-57037cd2beec"
            ]
        }
    ]
}'
Response Response Example
200 - Example 1
{
    "code": "SUMMER10",
    "name": "Summer 10% Off",
    "validFrom": [
        2025,
        1,
        1,
        0,
        0
    ],
    "validTo": [
        2028,
        1,
        1,
        4,
        59
    ],
    "currencyISOCode": "USD",
    "discounts": [
        {
            "billingFrequency": "Monthly",
            "discountPercentage": 10.0,
            "minSalesAmount": 0.0,
            "maximumDiscountAmount": 100.0,
            "maxUsagePerSubscription": 1
        }
    ],
    "products": [
        {
            "productId": "8fa89740-4bed-ae16-e6093ef89560",
            "productName": "All submerchant",
            "planIds": [
                "ac533c3c-431f-a7ce-1497738812d6",
                "89ecc84c-4333-9263-57037cd2beec"
            ]
        }
    ],
    "applicableTo": [
        "NEW_SUBSCRIPTION",
        "EXISTING_SUBSCRIPTION",
        "SUBSCRIPTION_CHANGES"
    ],
    "status": "Draft"
}
Previous
Publish Coupon
Next
Update Coupon
Built with